<?php

include_once(PHPWG_THEMES_PATH.'gally-default/admin/Conf.class.inc.php');

function theme_activate($id, $version, &$errors)
{
  $forcedToDefault=array(
    "imageCenterMode" => '',
    "imageCenterOffset" => '',
    "imageCenterTopMin" => '',
    "imageCenterTopBorder" => '',
    "interfaceAnimated" => '',
    "commentAnimated" => '',
    "animateDelay" => '',
    "marginContainer" => '',
    "paddingContainer" => '',
    "tabsAnimated" => '',
    "tabsHidden" => '',
    "tabsVisible" => '',
    "tabsPosition" => '',
    "commentRows" => '',
    "menuAnimated" => '',
    "menuWidth" => '',
    "menuMaxWidth" => '',
    "menuMSIEMaxWidth" => '',
    "expandMenu" => '',
  );
  $configDefault = new Conf();
  $configDefault->setFileName(PHPWG_ROOT_PATH."themes/gally-grum-dark-II/conf/default.conf");
  $configDefault->read(false);

  $configLocal = new Conf();
  $configLocal->setFileName(PHPWG_ROOT_PATH."local/themes/gally-grum-dark-II/conf/local.conf");
  $configLocal->read(false);

  foreach($forcedToDefault as $key => $param)
  {
    $forcedToDefault[$key]=$configDefault->getConfValue($key);
  }
  $configLocal->setConf($forcedToDefault, false);
  $configLocal->write();
}

function theme_deactivate()
{

}

?>
